JAASGroup (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.plus.jaas

## Class JAASGroup

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.JAASGroup

- All Implemented Interfaces:
    Group, Principal

      public class JAASGroup
      extends Object
      implements Group

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROLES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAASGroup(String n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addMember(Principal principal)`
    `boolean` | `equals(Object object)`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isMember(Principal principal)`
    `Enumeration<? extends Principal>` | `members()`
    `boolean` | `removeMember(Principal principal)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROLES

          public static final String ROLES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JAASGroup

          public JAASGroup(String n)

  - ### Method Detail

    - #### addMember

          public boolean addMember(Principal principal)

      Specified by:
        `addMember` in interface `Group`
      Parameters:
        `principal` -
      Returns:

    - #### removeMember

          public boolean removeMember(Principal principal)

      Specified by:
        `removeMember` in interface `Group`
      Parameters:
        `principal` -
      Returns:

    - #### isMember

          public boolean isMember(Principal principal)

      Specified by:
        `isMember` in interface `Group`
      Parameters:
        `principal` -
      Returns:

    - #### members

          public Enumeration<? extends Principal> members()

      Specified by:
        `members` in interface `Group`
      Returns:

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`
      Returns:

    - #### equals

          public boolean equals(Object object)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `object` -
      Returns:

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`
      Returns:

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`
      Returns:

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.